import * as focusTrap from "focus-trap"; // ESM

/**
 * @param {focusTrap.Options} options
 */
export const trapFocus = (
  node,
  options = {
    allowOutsideClick: true,
    clickOutsideDeactivates: true,
    escapeDeactivates: false,
  }
) => {
  let trap = focusTrap.createFocusTrap(node, options);

  trap.activate();

  return {
    update(newOptions) {
      trap = focusTrap.createFocusTrap(node, newOptions);
      trap.activate();
    },
    destroy() {
      trap.deactivate({
        onDeactivate: null,
      });
    },
  };
};
