/// <reference types="svelte" />
import type { SvelteComponentTyped } from "svelte";

export interface AccordionItemProps {
  /**
   * If the accordion item should be open by default
   * If allowMultiply is set to false last AccordionItem  with open will be open
   * @default false
   */
  open?: Boolean;
}

export default class AccordionItem extends SvelteComponentTyped<
  AccordionItemProps,
  {},
  {
    default: {};
    accordion_item_activation: { isActive: boolean };
    accordion_item_content: { isActive: boolean };
  }
> {}
