/// <reference types="svelte" />
import { SvelteComponentTyped } from "svelte";

export interface BadgeProps {
  /**
   * @default "gray"
   */
  kind?:
    | "gray"
    | "red"
    | "yellow"
    | "green"
    | "blue"
    | "indigo"
    | "purple"
    | "pink";

  /**
   * padding size to be applied to badge
   * @default "small"
   */
  size?: "small" | "large";

  /**
   * rounded badge
   * @default true
   */
  rounded?: boolean;

  /**
   * add a clickable button to remove the badge
   * @default false
   */
  dismissible?: boolean;
}

export default class Badge extends SvelteComponentTyped<
  BadgeProps,
  {},
  { default: {} }
> {}
