/// <reference types="svelte" />
import { SvelteComponentTyped } from "svelte";

export interface ChipProps {
  /**
   * Value = value of chip
   * Label label to render for chip
   */
  label?: string;

  /**
   * @default "secondary"
   */
  kind?: string;

  /**
   * fully rounded button
   * @default false
   */
  rounded?: boolean;

  /**
   * padding size to be applied to button
   * @default "base"
   */
  size?: string;

  /**
   * @default false
   */
  disabled?: boolean;
}

export default class Chip extends SvelteComponentTyped<
  ChipProps,
  { click: WindowEventMap["click"] },
  { default: {} }
> {}
