/// <reference types="svelte" />
import { SvelteComponentTyped } from "svelte";

export interface BaseSvgProps {
  /**
   * Size of svg to render
   * @default 4
   */
  size?: number;

  /**
   * Icon Colour
   * @default "currentColor"
   */
  colour?: string;

  /**
   * @default "none"
   */
  fillColour?: string;

  /**
   * IconName to render from list of icons
   */
  iconName?: string;
}

export default class BaseSvg extends SvelteComponentTyped<
  BaseSvgProps,
  {},
  {}
> {}
