/// <reference types="svelte" />
import type { SvelteComponentTyped } from "svelte";

export interface BaseSvgProps {
  /**
   * Size of svg to render
   * @default 4
   */
  size?: number;

  /**
   * Icon Colour
   * @default "currentColor"
   */
  colour?: string;

  /**
   * @default "none"
   */
  fillColour?: string;

  /**
   * viewBox attribute for svg
   * @default "0 0 24 24"
   */
  viewBox?: string;

  /**
   * IconName to render from list of icons
   * @default undefined
   */
  iconName?: string;
}

export default class BaseSvg extends SvelteComponentTyped<
  BaseSvgProps,
  {},
  {}
> {}
