/// <reference types="svelte" />
import { SvelteComponentTyped } from "svelte";

export interface AutoCompleteProps {
  /**
   * searchFunction for handling filtering should return array of {}
   */
  searchFunction?: function;

  /**
   * if the function is async
   * @default false
   */
  isAsync?: boolean;

  /**
   * object key to show in the input once selected
   */
  valueKey?: string;

  /**
   * @default ""
   */
  value?: string;

  /**
   * Name and Id of input
   * @default ""
   */
  name?: string;

  /**
   * Placeholder text for input
   * @default ""
   */
  placeholder?: string;

  /**
   * Input is invalid
   * @default false
   */
  hasError?: boolean;

  /**
   * Label to display above the button
   * @default ""
   */
  label?: string;

  /**
   * To display error message under input
   * @default ""
   */
  errorMessage?: string;

  /**
   * @default false
   */
  disabled?: boolean;
}

export default class AutoComplete extends SvelteComponentTyped<
  AutoCompleteProps,
  { Selected: CustomEvent<any> },
  { list_item: { item: any; highlight: boolean } }
> {}
