/// <reference types="svelte" />
import { SvelteComponentTyped } from "svelte";

export interface CheckBoxGroupProps {
  /**
   * Binding to group value for checkbox group
   * @default []
   */
  group?: (string | number)[];

  /**
   * set height and width of checkbox
   * @default "small"
   */
  size?: small | medium | large;

  /**
   * @default []
   */
  checkboxes?: {
    name: string;
    label: string;
    value: string | number;
    checked?: boolean;
    disabled?: boolean;
    hasError?: boolean;
    errorMessage?: string;
  }[];
}

export default class CheckBoxGroup extends SvelteComponentTyped<
  CheckBoxGroupProps,
  {},
  {}
> {}
