/// <reference types="svelte" />
import type { SvelteComponentTyped } from "svelte";

export interface MenuProps {
  /**
   * Is Menu Open
   * @default false
   */
  open?: boolean;

  /**
   * Menu should not be allowed to open
   * @default false
   */
  disabled?: boolean;

  /**
   * tailwind class to define the width of the dropdown menu
   * @default "w-56"
   */
  menuWidth?: string;

  /**
   * @default { placement: "bottom-end", strategy: "fixed", modifiers: [{ name: "offset", options: { offset: [0, 10] } }], }
   */
  popperOptions?: {
    placement: "bottom-end";
    strategy: "fixed";
    modifiers: [{ name: "offset"; options: { offset: [0, 10] } }];
  };
}

export default class Menu extends SvelteComponentTyped<
  MenuProps,
  {},
  { default: {}; menu_context: { open: boolean }; menu_trigger: {} }
> {}
