/// <reference types="svelte" />
import type { SvelteComponentTyped } from "svelte";

export interface RadioGroupProps
  extends svelte.JSX.HTMLAttributes<HTMLElementTagNameMap["input"]> {
  /**
   * @default []
   */
  options?: {
    value: string | number;
    label: string;
    name: string;
    helperText?: string;
    disabled?: boolean;
  }[];

  /**
   * Default option selected based on the @param value of options passed in
   * @default 0
   */
  startIndex?: number;

  /**
   * @default undefined
   */
  selectedOption?: undefined;

  /**
   * full width
   * @default true
   */
  full?: boolean;
}

export default class RadioGroup extends SvelteComponentTyped<
  RadioGroupProps,
  {},
  {}
> {}
