/// <reference types="svelte" />
import { SvelteComponentTyped } from "svelte";

export interface SwitchProps {
  /**
   * Binding for value of switch
   * @default false
   */
  value?: boolean;

  /**
   * To disabled switch and not allow it to be selected
   * @default false
   */
  disabled?: boolean;

  /**
   * Render postion of label
   * @default "right"
   */
  labelPostion?: string;

  /**
   * Name of input and label
   */
  name?: string;
}

export default class Switch extends SvelteComponentTyped<
  SwitchProps,
  { click: WindowEventMap["click"] },
  { label: {} }
> {}
