/// <reference types="svelte" />
import type { SvelteComponentTyped } from "svelte";

export interface TextAreaProps
  extends svelte.JSX.HTMLAttributes<HTMLElementTagNameMap["textarea"]> {
  /**
   * Label to display above the button
   * @default ""
   */
  label?: string;

  /**
   * Name and Id of input
   * @default ""
   */
  name?: string;

  /**
   * @default false
   */
  full?: boolean;

  /**
   * @default false
   */
  disabled?: boolean;

  /**
   * Bind to value of input
   * @default ""
   */
  value?: string;

  /**
   * Placeholder text for input
   * @default ""
   */
  placeholder?: string;

  /**
   * Input is invalid
   * @default false
   */
  hasError?: boolean;

  /**
   * @default undefined
   */
  use?: undefined;
}

export default class TextArea extends SvelteComponentTyped<
  TextAreaProps,
  {},
  {}
> {}
