/// <reference types="svelte" />
import { SvelteComponentTyped } from "svelte";

export interface LinearProgressProps {
  /**
   * Current Progress to show in loader
   * @default null
   */
  progress?: number | null;

  /**
   * If the loading progress cant be determined
   * use a continuos animation
   * @default false
   */
  continuous?: boolean;

  /**
   * @default "small"
   */
  size?: string;

  /**
   * @default "dark"
   */
  kind?: string;
}

export default class LinearProgress extends SvelteComponentTyped<
  LinearProgressProps,
  {},
  {}
> {}
