/// <reference types="svelte" />
import type { SvelteComponentTyped } from "svelte";

export interface PaginationProps {
  /**
   * the current page
   * @default 1
   */
  current?: number;

  /**
   * the length of items to be paginated
   * @default undefined
   */
  numItems?: number;

  /**
   * per page the amount of items to show perPage
   * @default 10
   */
  perPage?: number;
}

export default class Pagination extends SvelteComponentTyped<
  PaginationProps,
  {},
  {}
> {}
