/// <reference types="svelte" />
import { SvelteComponentTyped } from "svelte";

export interface SidepanelProps {
  /**
   * Is Sidepanel Open
   * @default false
   */
  open?: boolean;

  /**
   * The classes to be applied to the back drop of the sidepanel
   * @default "bg-white"
   */
  klass?: string;

  /**
   * @default true
   */
  showBackground?: boolean;
}

export default class Sidepanel extends SvelteComponentTyped<
  SidepanelProps,
  {},
  { default: { close: Function } }
> {}
