/// <reference types="svelte" />
import { SvelteComponentTyped } from "svelte";

export interface TabItem {
  tabName: string;
  iconName: string;
}

export interface TabsProps {
  /**
   * @default []
   */
  tabs?: TabItem[];

  /**
   * color to render icons
   */
  iconColour?: string;

  /**
   * size of icons
   * @constant
   * @default 4
   */
  iconSize?: 4;

  /**
   * Which Panel to show in the array at the start
   * @default 0
   */
  startIndex?: number;

  /**
   * @default true
   */
  full?: boolean;
}

export default class Tabs extends SvelteComponentTyped<
  TabsProps,
  {},
  { default: { selectedTabIndex: number; tab: TabItem } }
> {}
