/// <reference types="svelte" />
import type { SvelteComponentTyped } from "svelte";

export interface TabItem {
  tabName: string;
  iconName: string;
}

export interface TabsProps {
  /**
   * @default []
   */
  tabs?: TabItem[];

  /**
   * color to render icons
   * @default undefined
   */
  iconColour?: string;

  /**
   * Which Panel to show in the array at the start
   * @default 0
   */
  startIndex?: number;

  /**
   * @default true
   */
  full?: boolean;
}

export default class Tabs extends SvelteComponentTyped<
  TabsProps,
  {},
  { default: { selectedTabIndex: number; tab: TabItem } }
> {
  /**
   * size of icons
   */
  iconSize: number;
}
