/// <reference types="svelte" />
import type { SvelteComponentTyped } from "svelte";

export interface TabProps
  extends svelte.JSX.HTMLAttributes<HTMLElementTagNameMap["button"]> {
  /**
   * Tab Used to match to PanelId
   * @default undefined
   */
  TabId?: number;
}

export default class Tab extends SvelteComponentTyped<
  TabProps,
  { click: WindowEventMap["click"] },
  { default: { isActive: boolean; isFocused: boolean } }
> {}
