/// <reference types="svelte" />
import type { SvelteComponentTyped } from "svelte";

export interface ToastNotificationProps {
  /**
   * @default undefined
   */
  toast?: {
    title: string;
    description?: string;
    dismissable?: boolean;
    type: "success" | "error" | "info" | "warning";
  };
}

export default class ToastNotification extends SvelteComponentTyped<
  ToastNotificationProps,
  { dismissed: CustomEvent<any>; action: CustomEvent<any> },
  { action: {} }
> {}
